package gunav2.keymon.com.mx.designerscripts;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.objects.ImageViewWrapper;
import anywheresoftware.b4a.BA;


public class LS_principal{

public static void LS_general(anywheresoftware.b4a.BA ba, android.view.View parent, anywheresoftware.b4a.keywords.LayoutValues lv, java.util.Map props,
java.util.Map<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) throws Exception {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
anywheresoftware.b4a.keywords.LayoutBuilder.scaleAll(views);
views.get("img2").vw.setLeft((int)(0d));
views.get("img2").vw.setWidth((int)((100d / 100 * width) - (0d)));
views.get("img2").vw.setTop((int)(0d));
views.get("img2").vw.setHeight((int)((100d / 100 * height) - (0d)));
views.get("img3").vw.setLeft((int)(0d));
views.get("img3").vw.setWidth((int)((100d / 100 * width) - (0d)));
views.get("img3").vw.setTop((int)(0d));
views.get("img3").vw.setHeight((int)((100d / 100 * height) - (0d)));
views.get("p_marcasres").vw.setLeft((int)((50d / 100 * width) - (views.get("p_marcasres").vw.getWidth() / 2)));
views.get("p_marcasres").vw.setTop((int)((40d / 100 * height) - (views.get("p_marcasres").vw.getHeight() / 2)));
views.get("b_hacerpedido").vw.setLeft((int)((76d / 100 * width) - (views.get("b_hacerpedido").vw.getWidth() / 2)));
views.get("subir").vw.setLeft((int)((76d / 100 * width) - (views.get("subir").vw.getWidth() / 2)));
views.get("p_sombra3").vw.setLeft((int)((76.5d / 100 * width) - (views.get("p_sombra3").vw.getWidth() / 2)));
views.get("b_ubicar").vw.setLeft((int)((76d / 100 * width) - (views.get("b_ubicar").vw.getWidth() / 2)));
views.get("p_sombra4").vw.setLeft((int)((76.5d / 100 * width) - (views.get("p_sombra4").vw.getWidth() / 2)));
views.get("b_traec").vw.setLeft((int)((76d / 100 * width) - (views.get("b_traec").vw.getWidth() / 2)));
views.get("subir").vw.setLeft((int)((76d / 100 * width) - (views.get("subir").vw.getWidth() / 2)));
views.get("panel14").vw.setLeft((int)((76.5d / 100 * width) - (views.get("panel14").vw.getWidth() / 2)));

}
}